---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab config`

Set and get glab settings

## Synopsis

Get and set key/value strings.

Current respected settings:

- token: your GitLab access token, defaults to environment variables
- host: if unset, defaults to `https://gitlab.com`
- browser: if unset, default browser is used. Override with environment variable $BROWSER
- editor: if unset, default editor is used. Override with environment variable $EDITOR
- visual: takes precedence over editor. If unset, default editor is used. Override with environment variable $VISUAL
- glamour_style: your desired Markdown renderer style. Options are dark, light, notty. Custom styles are allowed using [glamour](https://github.com/charmbracelet/glamour#styles)
- glab_pager: your desired pager command to use (e.g. less -R)
- check_update: if true, notifies of any available updates to glab. Defaults to true
- display_hyperlinks: if true, and using a TTY, outputs hyperlinks for issues and MR lists. Defaults to false

## Aliases

```plaintext
conf
```

## Options

```plaintext
  -g, --global   Use global config file
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```

## Subcommands

- [`get`](get.md)
- [`set`](set.md)
